Summary:        Tool to translate x86-64 CPU Machine Check Exception data.
Name:           mcelog
Version:        0.3
Release: 	%(R="$Revision$"; RR="${R##: }"; echo ${RR%%?})
Serial:         1
Group:          System Environment/Base
License:        GPL
Source0:        mcelog-0.3.tar.gz
Source1:	mcelog.init
Buildroot:      %{_tmppath}/%{name}-%{version}-root
Prereq:		/sbin/chkconfig /sbin/service
ExclusiveArch:	x86_64

%description
mcelog is a daemon that collects and decodes Machine Check Exception data
on x86-64 machines.
ftp://ftp.x86-64.org/pub/linux/tools/mcelog/

%prep
%setup -q -c

%build
rm -rf $RPM_BUILD_ROOT

mkdir -p %{buildroot}/usr/sbin
mkdir -p %{buildroot}/usr/man
mkdir -p %{buildroot}/etc/rc.d/init.d
mkdir -p %{buildroot}/etc/sysconfig

cd mcelog-0.3
make CFLAGS="$RPM_OPT_FLAGS"
cd ..

%install
mkdir -p %{buildroot}/usr/share/man/man{1,8}

cd mcelog-0.3

make DESTDIR=$RPM_BUILD_ROOT PREFIX=%{_prefix} \
     INSDIR=/sbin MANDIR=%{_mandir}/man8 RCDIR=/etc MICDIR=/etc/firmware install clean

install %{SOURCE1} %{buildroot}/etc/rc.d/init.d/mcelog
rm %{buildroot}/etc/init.d/mcelog
cd ..

chmod -R a-s %{buildroot}
%clean
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;

%files
%defattr(-,root,root)
/etc/rc.d/init.d/microcode_ctl
/sbin/mcelog
%attr(0644,root,root) %{_mandir}/*/*

%preun
if [ "$1" = "0" ] ; then
	/sbin/chkconfig --del mcelog
fi

%post
# Only enable on AMD CPUs for now.
vendor=`cat /proc/cpuinfo | grep "^vendor_id" | sort -u | awk -F ": " '{ print $2 }'`
[ "$vendor" != "AuthenticAMD" ] && exit 0
/sbin/chkconfig --add mcelog

%changelog
* Thu Jan 27 2005 Dave Jones <davej@redhat.com>
- Initial packaging, based upon kernel-utils.

